## com.bbn.openmap.layer.vpf
Class VMAP2Shape

    java.lang.Object
      |
      +--com.bbn.openmap.layer.vpf.VMAP2Shape

public class VMAP2Shape
extends java.lang.Object

Convert NIMA VMAP geospatial data into ESRI shapefile format.

Field Summary
`protected static boolean` `doThinning`
`protected static float` `fan_eps`
`protected LibrarySelectionTable` `lst`
`protected static java.lang.String` `prefix`
`protected static java.lang.String` `propsFileName`
`protected static float` `threshold`
`protected static java.lang.String` `vmaptype`
`protected LayerGraphicWarehouseSupport` `warehouse`
`protected static float` `zero_eps`

Constructor Summary
`VMAP2Shape()`

Method Summary
`static float[]` `coalesce_points(float[] radians, float eps, boolean ispolyg)`
`OMGraphicList` `getRectangle()`
`protected void` `initLST(java.lang.String[] paths)`
`protected static OMGraphicList` `joinCommonLines(OMGraphicList list)`
`protected java.util.Properties` `loadProperties()`
`static void` `main(java.lang.String[] args)`
`protected boolean` `maybeThrowAwayPoly(OMPoly poly)`
`protected void` `setProperties(java.lang.String prefix, java.util.Properties props)`
`static void` `usage()`
`void` `writeShapeFile(java.lang.String shapeFileName, OMGraphicList graphics)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vmaptype

    protected static java.lang.String vmaptype

### propsFileName

    protected static java.lang.String propsFileName

### prefix

    protected static java.lang.String prefix

### doThinning

    protected static boolean doThinning

### fan_eps

    protected static float fan_eps

### zero_eps

    protected static float zero_eps

### threshold

    protected static float threshold

### lst

    protected LibrarySelectionTable lst

### warehouse

    protected transient LayerGraphicWarehouseSupport warehouse

Constructor Detail

### VMAP2Shape

    public VMAP2Shape()

Method Detail

### writeShapeFile

    public void writeShapeFile(java.lang.String shapeFileName,
                               OMGraphicList graphics)

### joinCommonLines

    protected static OMGraphicList joinCommonLines(OMGraphicList list)

### coalesce_points

    public static float[] coalesce_points(float[] radians,
                                          float eps,
                                          boolean ispolyg)

### maybeThrowAwayPoly

    protected boolean maybeThrowAwayPoly(OMPoly poly)

### loadProperties

    protected java.util.Properties loadProperties()

### setProperties

    protected void setProperties(java.lang.String prefix,
                                 java.util.Properties props)

### initLST

    protected void initLST(java.lang.String[] paths)

### getRectangle

    public OMGraphicList getRectangle()

### usage

    public static void usage()

### main

    public static void main(java.lang.String[] args)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details